//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class MaDiscount
    {

        public MaDiscount()
        {
            this.Tb_FeeReceipt = new HashSet<Tb_FeeReceipt>();
        }
    
        public int Id { get; set; }

        [Display(Name = "Discount %")]
        [Required(ErrorMessage = "Discount Percentage is required")]
        public Nullable<int> DiscountPercen { get; set; }

        public Nullable<int> BranchId { get; set; }

        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
        public virtual MaBranch MaBranch { get; set; }
    }
}
